Summary: Divider applet.
Name: divider-applet
Version: 1.99.1
Release: 1
License: GPL
Group: Applications/Misc
Source: http://prdownloads.sourceforge.net/gqapplets/divider-applet-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

URL: http://gqapplets.sourceforge.net

Requires: libgnomeui >= 2.0.0
Requires: gnome-panel >= 2.0.0

%description
A GNOME panel applet that adds dividers to the panel
similar to toolbar dividers.

%prep
%setup

%build
if [ ! -f configure ]; then
  CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%{_prefix}
else
  CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix}
fi

make

%install
rm -rf $RPM_BUILD_ROOT

make bindir=$RPM_BUILD_ROOT%{_bindir} prefix=$RPM_BUILD_ROOT%{_prefix}	\
	libexecdir=$RPM_BUILD_ROOT%{_libexecdir}	\
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule /etc/gconf/schemas/divider-applet.schemas > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING TODO ChangeLog
%{_libexecdir}/divider_applet2
%{_libdir}/bonobo/servers/GNOME_DividerApplet.server
%{_sysconfdir}/gconf/schemas/divider-applet.schemas
%{_datadir}/gnome-2.0/ui/GNOME_DividerApplet.xml
%{_datadir}/pixmaps/divider-applet.png
%{_datadir}/divider-applet/*

